## sugar-browse-activity-0.86 115

=== debian/changelog ===
sugar-browse-activity-0.86 (115-1) unstable; urgency=low

  * New upstream release.
  * Drop all local CDBS snippets: included with main cdbs package now.
  * Switch to source format "3.0 (quilt)".
  * Drop patchsys-quilt.mk snippet: superfluous with source format "3.0
    (quilt)".
  * Refresh and unfuzz patch.
  * Drop build-dependencies on quilt and patchutils.
  * Relax build-dependencies on python-central and python-dev.
  * Relax build-dependency on devscripts slightly, to ease backporting.
  * Tighten build-dependency on cdbs.
  * Include debhelper.mk (do not rely on python-sugar.mk including it).
  * Bump standards-version to 3.8.4.
  * Add git-buildpackage hint about use of bzip2-compressed tarballs.
  * Update copyright file:
    + Reformat to conform to draft DEP5 rev. 135.
    + Add GPL disclaimers.
    + Adjust years for debian/*.

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 30 Mar 2010 23:05:22 +0200

sugar-browse-activity-0.86 (114-1) unstable; urgency=low

  * New upstream release.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 03 Oct 2009 11:14:06 +0200

sugar-browse-activity-0.86 (113-2) unstable; urgency=low

  * Update python-sugar.mk to replace superfluous COPYING files with
    symlinks.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 19 Sep 2009 13:10:38 +0200

sugar-browse-activity-0.86 (113-1) unstable; urgency=low

  * New upstream development release.
  * Replace patch 1002 with improved workaround from upstream jhconvert
    tool.
  * Provide, conflict with and replace sugar-web-activity.
  * Update CDBS snippets:
    + Fix use underscore (not dash) for internal variables.
    + Fix build-depend unversioned on python-sugar-toolkit, to allow
      branched packages.
    + Fix include branched activities in python-sugar.mk.
    + Build-depend branched/unbranched on python-sugar-toolkit based on
      new variable DEB_SUGAR_BRANCHES in python-sugar.mk.
  * Fix build-depend on branched python-sugar-toolkit.

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 18 Sep 2009 20:38:10 +0200

sugar-browse-activity-0.86 (112-1) unstable; urgency=low

  * New upstream development release.
  * Drop patch 1001: upstream includes a (different) danish locale now.
  * Rename package to match upstream rename and make room for multiple
    branches:
    + Rename basename sugar-web-activity → sugar-browse-activity.
    + Append major version (0.86) to binary and source package.
  * Update CDBS snippets:
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones).
    + Improve package-relation.mk cleanup to cover debhelper 6 and 7,
      strip more whitespace and cover mixture of unversioned+versioned
      dependencies.
    + Silence applying dependencies in package-relation.mk.
    + Implement fail-source-not-repackaged rule in upstream-tarball.mk.
    + Update URL to draft DEP5 format in copyright-check.mk output.
  * Fix double build-dependency on cdbs.
  * Update debian/control format to DEP5 rev54.
  * Update debian/copyright (new owners and years, same licenses).
  * Update Homepage.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 12 Sep 2009 15:09:51 +0200

sugar-web-activity (108-3) unstable; urgency=low

  * Depend on python-rsvg (only fallback on older but not too old
    python-gnome2-desktop and librsvg2-common).

 -- Jonas Smedegaard <dr@jones.dk>  Tue, 14 Jul 2009 15:59:40 +0200

sugar-web-activity (108-2) unstable; urgency=low

  * Fix depend on python-carquinyol (not python-olpc-datastore.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 May 2009 17:12:26 +0200

sugar-web-activity (108-1) unstable; urgency=low

  * New upstream release.
  * Update upstream source URL (moved to subdir fructose).
  * Add README.source (and drop CDBS hints and README.packaging).
  * Update CDBS snippets:
    + Minor updates to copyright-check.mk and upstream-tarball.mk
    + Enhance package-relations.mk to support all binary package
      relations (except -indep ones)
    + Extend package-relation.mk to handle debhelper 6 and 7.0.1
  * Add git-buildpackage configfile, enabling signed tags and use of
    pristine-tar.
  * Update copyright info:
    + Rewrite to use DEP5 r48 proposed machine-readable format
    + Add author (no new licenses)
    + Add verbatim license texts
    + Bump licensing years of both upstream source and debian packaging
    + Merge entries with same authors and copyrights
    + Add proper licensing header to debian/rules
  * Handle binary (not only source) dependencies in rules file.
  * Limit Sugar-related dependencies to current branch (0.84).
  * Limit Python support til 2.5 and newer (sqlite3 problem on 2.4).
  * Add patch 1002 reverting upstream xulrunner workaround expected to
    not apply here.
  * Bump policy compliance to Standards-Version 3.8.1.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 31 May 2009 17:03:37 +0200

sugar-web-activity (103~git20090120-1) unstable; urgency=low

  * New upstream (Git-based pre-)release.
  * Build-depend on python-cjson (and not python-simplejson).
  * Update copyright hints (no new licenses or authors.

 -- Jonas Smedegaard <dr@jones.dk>  Sun, 15 Feb 2009 18:56:59 +0100

sugar-web-activity (102-1) unstable; urgency=low

  * New upstream release.
  * Update CDBS snippets:
    + Simplify internal variables
    + Ignore no files by default in copyright-check.mk
    + Correct and update copyright hints of the snippets themselves
  * Update debian/copyright and copyright hints:
    + Add info on CDBS snippets (new owners, no new licenses)
    + Bump to version 413 of new format (no structural changes)
    + Add Simon Schampijer as upstream maintainer.
    + Refer to LGPL as "GNU Library..." (not Lesser).
    + Refer to "Debian GNU systems" (not only GNU/Linux).

 -- Jonas Smedegaard <dr@jones.dk>  Fri, 19 Dec 2008 13:26:03 +0100

sugar-web-activity (101-1) unstable; urgency=low

  [ Luke Faraone ]
  * Fix activity install path.

  [ Jonas Smedegaard ]
  * New upstream release.
  * Update local CDBS snippets:

