## sugar-browse-activity-0.86 120

=== debian/changelog ===
sugar-browse-activity-0.86 (120-1) unstable; urgency=low

  * New upstream release.
  * Refresh patch.

 -- Jonas Smedegaard <dr@jones.dk>  Mon, 25 Oct 2010 09:38:22 +0200

sugar-browse-activity-0.86 (119-1) unstable; urgency=low

  * New upstream release.
    Thanks to Ishan Bansal for encouraging this!
  * Refresh patch.
  * Bump Policy compliance to standards-version 3.9.1.
  * Suppress unneeded auto-resolved build-dependency on python-dev.
    Thanks to lintian.
  * Shorten Vcs-* stanzas.
  * Ease building with git-buildpackage: Git-ignore quilt .pc dir, and
    add source local-options.
  * Build-depend on python-cairo. Needed since v116.

 -- Jonas Smedegaard <dr@jones.dk>  Thu, 21 Oct 2010 22:21:25 +0200

sugar-browse-activity-0.86 (115-2) unstable; urgency=low

  * Include Sugar 0.90 as supported branch.
  * Bump Policy compliance to standards-version 3.9.1.
  * Suppress unneeded auto-resolved build-dependency on python-dev.
    Thanks to lintian.

 -- Jonas Smedegaard <dr@jones.dk>  Sat, 31 Jul 2010 12:25:53 -0400
