=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,9 @@
 DEB_PYTHON_SYSTEM = pycentral
 DEB_SUGAR_BRANCHES = 0.86 0.88
 
+# Suppress unneeded auto-resolved build-dependency on python-dev
+CDBS_BUILD_DEPENDS_class_python-sugar_python = python$(cdbs_python_nondefault_version)
+
 # workaround for broken DEB_SUGAR_BRANCHES expansion in cdbs <= 0.4.75
 DEB_PYTHON_SUGAR_PACKAGES = sugar-browse-activity-0.86
 
@@ -32,13 +35,13 @@
 DEB_UPSTREAM_PACKAGE = Browse
 DEB_UPSTREAM_URL = http://download.sugarlabs.org/sources/sucrose/fructose/$(DEB_UPSTREAM_PACKAGE)
 DEB_UPSTREAM_TARBALL_EXTENSION = tar.bz2
-DEB_UPSTREAM_TARBALL_MD5 = 5950623d8fc189b3df76dbe2b54ed317
+DEB_UPSTREAM_TARBALL_MD5 = c9a93fad156c56a5ec0b9c61b9ce8822
 
 # Needed (always/seldom) at runtime
 #  python-rsvg fallbacks unneeded since python-rsvg 2.24.0-2: can be dropped after Squeeze+1
 CDBS_DEPENDS = $(call cdbs_sugar_anybranchdeps,python-sugar python-sugar-toolkit python-carquinyol)
 CDBS_DEPENDS += , python-rsvg | python-gnome2-desktop (<= 2.24.0-1), python-rsvg | librsvg2-common
-CDBS_DEPENDS += , python-gobject, python-gtk2, python-dbus, python-cjson, python-xpcom, python-hulahop
+CDBS_DEPENDS += , python-gobject, python-gtk2, python-dbus, python-cjson, python-xpcom, python-hulahop, python-cairo
 CDBS_RECOMMENDS = $(call cdbs_sugar_anybranchdeps,sugar sugar-artwork)
 
 # Ensure only one variant is installed at a time (Debian Policy 7.6.2)
